{"templateId":"markdown","sharedDataIds":{"sidebar":"sidebar-homepage/sidebars.yaml"},"props":{"metadata":{"markdoc":{"tagList":["admonition","icon","cards","card","img","json-schema"]},"type":"markdown"},"seo":{"title":"Notification Center"},"dynamicMarkdocComponents":["openapi"],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"notification-center","__idx":0},"children":["Notification Center"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The following use cases are examples of using our Notification Center endpoints in a UI setting with a front-end user."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"notification-center-overview","__idx":1},"children":["Notification Center Overview"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The Notification Center offers users a centralized hub within their employee experience to effortlessly access and manage notifications. It alerts them to new campaigns and journeys, and highlights post activity and important items requiring attention."]},{"$$mdtype":"Tag","name":"Admonition","attributes":{"type":"info"},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The Notification Center replaces the Assistant Inbox"]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Refer to our ",{"$$mdtype":"Tag","name":"a","attributes":{"href":"https://support.firstup.io/hc/en-us/articles/28923690887191-Notification-Center","target":"_blank","rel":"noopener noreferrer"},"children":[" ","knowledge base ",{"$$mdtype":"Tag","name":"Icon","attributes":{"name":"up-right-from-square","size":"1em","color":"currentColor"},"children":[]}," "]}," article for an indepth look into its functionality."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"img","attributes":{"src":"/assets/ncmain.cc5937fcad8898864e75086e272664fd75d1bf3506477f01d44e6b88ae1c47ef.9c1bb791.png","alt":"NCMAin.png"},"children":[]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Notification Center Authorization and Authentication"]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Notification Center endpoints use user-based authentication JWT authentication or OAuth as a user, so that each request runs in the context of a specific user."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Tokens issued this way include scopes such as ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["notification_center"]}," and ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["feeds.read"]},", which allow a client to fetch and manage a user’s notifications."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Mobile Push Notifications"]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["For mobile push notifications, user sessions and notification delivery are handled separately. Even if an SSO or app session expires (for example, after 24 hours), push notifications continue to be delivered as long as the user remains logged in on the device."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["To access Notification Center endpoints again after a session expires, the user must re-authenticate through OAuth as a user."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"get-user-notifications","__idx":2},"children":["Get User Notifications"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["All of these get user notification examples use this same GET endpoint, but each have a different filter applied."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["These GET examples link to the user by the auth token."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Endpoint"]}]},{"$$mdtype":"Tag","name":"Cards","attributes":{"columns":1,"cardMinWidth":180},"children":[{"$$mdtype":"Tag","name":"Card","attributes":{"title":"GET /v2/notification_center/notifications","imagePosition":"start","iconPosition":"auto","layout":"vertical","align":"start","variant":"filled","to":"/endpoints/openapi/notification-center/listnotifications"},"children":[]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"get-read-notifications-only","__idx":3},"children":["Get Read Notifications Only"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["A user wants to browse their past notifications without cluttering their view with new ones."]},{"$$mdtype":"Tag","name":"Image","attributes":{"srcSet":"/assets/nc-read.738bda7a523ac9a6cf3510ece8117b0c2f53afaad0aa52a9fcfa27fe276bc19f.9c1bb791.png light","alt":"Notifications","framed":false,"withLightbox":false,"width":500},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["In this example, the UI may have a read / unread check-box to filter their notification list. This endpoint filter allows this."]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Front-End: A “View Read Notifications” button filters out unread ones."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Back-End: A system logs which notifications users engage with for analytics."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Example Request"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"`GET /notificationcenter/notifications?filter.read=true`\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"get-unread-notifications-only","__idx":4},"children":["Get Unread Notifications Only"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["A user only wants to see notifications they haven’t checked yet when selecting their notification icon."]},{"$$mdtype":"Tag","name":"Image","attributes":{"srcSet":"/assets/nc-unread.cc5937fcad8898864e75086e272664fd75d1bf3506477f01d44e6b88ae1c47ef.9c1bb791.png light","alt":"Notifications","framed":false,"withLightbox":false,"width":500},"children":[]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Front-End: A badge counter shows only unread notifications."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Back-End: An auto-reminder service fetches unread notifications to re-alert the user."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Example Request"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"\n`GET /notificationcenter/notifications?filter.unread=true`\n\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"get-notifications-that-require-action-only","__idx":5},"children":["Get Notifications That Require Action Only"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["A user, such as a line-manager needs to respond to notifications that require input (e.g., confirming an order, approving PTO request, etc.)."]},{"$$mdtype":"Tag","name":"Image","attributes":{"srcSet":"/assets/nc-actionrequired.e7d983ee713059d796ff36b4d4111add91ac43c6af0f7eb63b6af0bf6ac64b79.9c1bb791.png light","alt":"Notifications","framed":false,"withLightbox":false,"width":500},"children":[]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Front-End: A separate “Needs Action” tab helps users quickly respond."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Back-End: An automation checks pending notifications and triggers reminder emails."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Example Request"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"\n`GET /notificationcenter/notifications?filter.action_required=true`\n\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"get-important-notifications-only","__idx":6},"children":["Get Important Notifications Only"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Campaigns can be marked as important by the content creator or publisher (refer to this article). A user wants to see these important campaigns only."]},{"$$mdtype":"Tag","name":"Image","attributes":{"srcSet":"/assets/nc-important.8f19f8ad8c2bb7f5ccaafb43323ca1c45b7412d428ac8a3b1eea5eecaefa0f91.9c1bb791.png light","alt":"Image with dimensions","framed":false,"withLightbox":false,"width":500},"children":[]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Front-End: A “Show Important Only” toggle highlights urgent notifications."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Back-End: A system monitors high-priority alerts for customer service escalation."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Example Request"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"\n`GET /notificationcenter/notifications?filter.important=true`\n\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"user-activity","__idx":7},"children":["User Activity"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The Notification Center also offers users to place to find their interactions with other users on the platform."]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Activity types:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["@mentions in post"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Views on your posts (for both Studio content and user-generated content that you’ve published and set yourself as the author for)"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Third-party integration activity"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Likes on your comments"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Likes on your comment replies"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Replies to your comments"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Comments on your posts"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Likes on your posts"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["@mentions in comments"]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"get-activity-notifications-only","__idx":8},"children":["Get Activity Notifications Only"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["A user wants to browse their activity without cluttering their view."]},{"$$mdtype":"Tag","name":"Image","attributes":{"srcSet":"/assets/nc-activity.ffb29d4394155e212e18cb4f7a6e4d7cad1a47414048664b834bd87925717c80.9c1bb791.png light","alt":"Image with dimensions","framed":false,"withLightbox":false,"width":500},"children":[]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Front-End: An “Activity” tab filters out Messages."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Back-End: A system logs which acitivity notifications users engage with for analytics."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Endpoint"]}]},{"$$mdtype":"Tag","name":"Cards","attributes":{"columns":1,"cardMinWidth":180},"children":[{"$$mdtype":"Tag","name":"Card","attributes":{"title":"GET /v2/notification_center/notifications","imagePosition":"start","iconPosition":"auto","layout":"vertical","align":"start","variant":"filled","to":"/endpoints/openapi/notification-center/listnotifications"},"children":[]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Example Request"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"`GET /notificationcenter/notifications?filter.activity=true`\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"notification-count","__idx":9},"children":["Notification Count"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The total notification count uses a separate endpoint."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"get-notification-count-only","__idx":10},"children":["Get Notification Count Only"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Display the total count of notifications with a bell icon in your application."]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Front-End: Responsive updates for users to see their total number of notifications."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Back-End: Getting this total count without the actual notifications reduces API payload size."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Endpoint"]}]},{"$$mdtype":"Tag","name":"Cards","attributes":{"columns":1,"cardMinWidth":180},"children":[{"$$mdtype":"Tag","name":"Card","attributes":{"title":"GET /v2/notification_center/total_count","imagePosition":"start","iconPosition":"auto","layout":"vertical","align":"start","variant":"filled","to":"/endpoints/openapi/notification-center/readnotification"},"children":[]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Example Request"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"`GET /notificationcenter/notifications?filter.activity=true`\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"mark-notification-as-read","__idx":11},"children":["Mark Notification as Read"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["A user opens the Notification Center and clicks on a notification. Next time the user opens the Notification Center, that notification is marked as read."]},{"$$mdtype":"Tag","name":"ol","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["User clicks on Notification Center. Their notifications are listed. This sends a ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["GET"]}," request to list their notifications."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["The user clicks on a notification in the front-end UI. Clicking this notification passes the ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["\"notification_id\""]},"."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["A ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["PUT"]}," request is sent to update the notification as read."]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Endpoint"]}]},{"$$mdtype":"Tag","name":"Cards","attributes":{"columns":1,"cardMinWidth":180},"children":[{"$$mdtype":"Tag","name":"Card","attributes":{"title":"PUT /v2/notification_center/notifications/{notification_id}/read","imagePosition":"start","iconPosition":"auto","layout":"vertical","align":"start","variant":"filled","to":"/endpoints/openapi/notification-center/readnotification"},"children":[]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Example Request"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"`PUT /notification_center/notifications/1/read\nAuthorization: Bearer <auth_token>\nContent-Type: application/json`\n"},"children":[]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["Example Response"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"header":{"controls":{"copy":{}}},"source":"`  \"message\": \"Notification marked as read\",\n  \"notification_id\": 1,\n  \"acknowledged\": true`\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"response-schema","__idx":12},"children":["Response schema"]},{"$$mdtype":"Tag","name":"JsonSchema","attributes":{"schema":{"$ref":"../endpoints/openapi.yaml#/paths/~1v2~1notification_center~1notifications/get/responses/200/content/application~1json/schema"},"options":{},"schemaResolved":{"openapi":"3.1.0","components":{"schemas":{"__root":{"$ref":"#/components/schemas/schema"},"Assistant.Inbox.Notifications.Resource":{"type":"array","items":{"type":"object","properties":{"id":{"type":"integer","example":1},"category":{"type":"string","example":"category_type"},"acknowledged":{"type":"boolean","example":false},"text":{"type":"string","example":"text"},"label":{"type":"string","example":"Label name"},"details":{"type":"object","properties":{"url":{"type":"string","example":"url"}}},"created_at":{"type":"string","example":"2022-07-06T07:15:46.121Z"},"updated_at":{"type":"string","example":"2022-07-06T07:15:46.121Z"}}}},"schema":{"type":"object","required":["data"],"properties":{"data":{"$ref":"#/components/schemas/Assistant.Inbox.Notifications.Resource"}}}}}},"schemaResolvedErrors":[]},"children":[]}]},"headings":[{"value":"Notification Center","id":"notification-center","depth":1},{"value":"Notification Center Overview","id":"notification-center-overview","depth":2},{"value":"Get User Notifications","id":"get-user-notifications","depth":2},{"value":"Get Read Notifications Only","id":"get-read-notifications-only","depth":3},{"value":"Get Unread Notifications Only","id":"get-unread-notifications-only","depth":3},{"value":"Get Notifications That Require Action Only","id":"get-notifications-that-require-action-only","depth":3},{"value":"Get Important Notifications Only","id":"get-important-notifications-only","depth":3},{"value":"User Activity","id":"user-activity","depth":2},{"value":"Get Activity Notifications Only","id":"get-activity-notifications-only","depth":3},{"value":"Notification Count","id":"notification-count","depth":2},{"value":"Get Notification Count Only","id":"get-notification-count-only","depth":3},{"value":"Mark Notification as Read","id":"mark-notification-as-read","depth":3},{"value":"Response schema","id":"response-schema","depth":2}],"frontmatter":{"seo":{"title":"Notification Center"}},"lastModified":"2026-10-20T14:05:36.000Z","pagePropGetterError":{"message":"","name":""}},"slug":"/toplevelbanner/notificationcenterusecase","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}